Maverick: bnx2 udeb firmware missing

Bug #589304 reported by Ronald McCollam on 2010-06-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner

Bug Description

When running the maverick alpha 1 install of ubuntu-server, Broadcom bcm5708 network devices are not properly initialized. This occurs on multiple systems with Broadcom NICs.

This appears to be similar to bug 384861.

The bnx2 module is loaded but the card is not detected:

~ # ip link
1: lo: <LOOPBACK> mtu 16436 qdisc noop
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00

~ # lsmod
Module Size Used by
vga16fb 13187 1
vgastate 9897 1 vga16fb
bnx2 77876 0

Removing and reinserting the bnx2 module has no effect.

Ronald McCollam (fader) wrote :
Ronald McCollam (fader) wrote :
Ronald McCollam (fader) wrote :
Ronald McCollam (fader) wrote :
tags: added: kj-triage
Ameet Paranjape (ameetp) on 2010-06-04
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → High
Ameet Paranjape (ameetp) wrote :

>This appears to be similar to bug 384861.

Well not entirely... In bug 384861, the bnx2 module was missing from the installer, but in this case, the bnx2 module is present but broken.

tags: added: kernel-needs-review kernel-net
Tim Gardner (timg-tpi) wrote :

This appears to be a missing firmware file issue:

[ 16.366372] bnx2 0000:04:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 16.366754] bnx2 0000:04:00.0: firmware: requesting bnx2/bnx2-mips-06-5.0.0.j6.fw
[ 16.368541] bnx2: Can't load firmware file "bnx2/bnx2-mips-06-5.0.0.j6.fw"
[ 16.368566] bnx2 0000:04:00.0: PCI INT A disabled
[ 16.368577] bnx2: probe of 0000:04:00.0 failed with error -2

affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Changed in linux-firmware (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
milestone: none → maverick-alpha-2
status: Triaged → In Progress
summary: - Broadcom bcm5708 ethernet not initialized during install
+ Maverick: bnx2 driver missing firmware

Ronald - is this happening during installation, or after first boot? Whichever case it turns out to be, please provide a listing of /lib/modules, e.g., 'find /lib/firmware | grep bnx2'.

Tim Gardner (timg-tpi) wrote :

This really is a linux package problem. The firmware versions used in the udeb package were not correct. Because all of the firmware files were marked optional they were not even included. Pull request submitted on the kernel team mailing list.

affects: linux-firmware (Ubuntu) → linux (Ubuntu)
summary: - Maverick: bnx2 driver missing firmware
+ Maverick: bnx2 udeb firmware missing
Andy Whitcroft (apw) on 2010-06-07
tags: added: kernel-candidate kernel-reviewed
removed: kernel-needs-review
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-2.2

---------------
linux (2.6.35-2.2) maverick; urgency=low

  [ Andy Whitcroft ]

  * [Config] d-i: make armel configuration versatile flavour specific
    - LP: #588805
  * [Config] d-i: enable .udebs for omap flavour
    - LP: #588805

  [ Kees Cook ]

  * ptrace: limit scope to attach only (allow read)
    - LP: #589656

  [ Leann Ogasawara ]

  * rebase to v2.6.35-rc2
  * [Config] update configs following rebase to v2.6.35-rc2
  * [Config] update port configs following rebase to v2.6.35-rc2

  [ Lee Jones ]

  * Enable perf to be more helpful when perf_<version> does not exist.
    - LP: #570500
  * 'fdr editconfig' modification. Easily skip over unwanted menuconfigs.

  [ Tim Gardner ]

  * [Config] Update bnx2 udeb firmware files
    - LP: #589304

  [ Upstream changes ]

  * rebased to v2.6.35-rc2
 -- Leann Ogasawara <email address hidden> Mon, 07 Jun 2010 09:45:04 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers